Differences between revisions 27 and 29 (spanning 2 versions)
Revision 27 as of 2019-02-28 14:45:47
Size: 3073
Editor: Praveen A
Comment: update current status
Revision 29 as of 2019-03-15 17:59:26
Size: 3088
Editor: Praveen A
Comment:
Deletions are marked like this. Additions are marked like this.
Line 1: Line 1:
||<tablestyle="float:right; margin: 0px;" style="padding:0.5em; border: 0px;font-size: 80%;"><<TableOfContents>>||
Line 5: Line 7:
== Stretch Backports (recommended) ==
Gitlab 11.4.9 is available in stretch-backports (still affected by some security issues).
''Note: gitlab 11.5.10 with all security fixes is waiting in backports-new.''
== Unstable (Recommended) ==
Gitlab 11.8.2 is available in unstable (no security issues).
Line 9: Line 10:
Gitlab 11.5.10 is available for stretch-backports via personal repo of gitlab maintainer (no open security issues) from https://people.debian.org/~praveen/gitlab {{{
# apt install gitlab
}}}

== Buster (Work in progress) ==
Gitlab 11.8.2 will be soon available in personal repo of gitlab maintainer targeting buster as base distribution. (no open security issues).

Add to `/etc/apt/sources.list`
{{{
deb https://people.debian.org/~praveen/gitlab unstable contrib main
}}}

== Stretch Backports ==
Gitlab 11.4.9 is available in stretch-backports (still affected by some security issues, 2 security releases behind).

Gitlab 11.5.10 is available for stretch-backports via personal repo of gitlab maintainer (1 security release behind) from https://people.debian.org/~praveen/gitlab
Line 30: Line 46:
== Unstable ==
Gitlab 11.5.10 is available in unstable (no security issues). ''Note: It is currently broken because of rails 5, [[https://gitlab.com/gitlab-org/gitlab-ce/issues/48392|work is in progress upstream to fix rails 5.2 compatibility issues]].''

== Buster ==
Gitlab 11.5.10 is available in personal repo of gitlab maintainer targeting buster as base distribution. (no open security issues). ''Note: It is currently broken because of rails 5, [[https://gitlab.com/gitlab-org/gitlab-ce/issues/48392|work is in progress upstream to fix rails 5.2 compatibility issues]].''

Add to `/etc/apt/sources.list`
{{{
deb https://people.debian.org/~praveen/gitlab unstable contrib main
}}}
== Contact maintainers ==
You can reach the maintainers of gitlab package via Matrix at #debian-gitlab:poddery.com. [[https://chat.poddery.com/#/room/#debian-gitlab:poddery.com|Join via your browser if you don't have a matrix account]].

Gitlab is a git front end with repository management, graphs, links, goodies, commands to run, and review capabilities similar in feel to a self hosted github.

Debian is running its own Instance of Gitlab under https://salsa.debian.org, which is not based on the packaged version.

Unstable (Recommended)

Gitlab 11.8.2 is available in unstable (no security issues).

# apt install gitlab

Buster (Work in progress)

Gitlab 11.8.2 will be soon available in personal repo of gitlab maintainer targeting buster as base distribution. (no open security issues).

Add to /etc/apt/sources.list

deb https://people.debian.org/~praveen/gitlab unstable contrib main

Stretch Backports

Gitlab 11.4.9 is available in stretch-backports (still affected by some security issues, 2 security releases behind).

Gitlab 11.5.10 is available for stretch-backports via personal repo of gitlab maintainer (1 security release behind) from https://people.debian.org/~praveen/gitlab

Add to /etc/apt/sources.list

deb https://people.debian.org/~praveen/gitlab stretch-backports contrib main

Note 1: Official stretch-backports repo is also required for this personal repo to work. See Backports. You will also need contrib section Note 2: https://gitlab.debian.net is running on this version.

# apt -t stretch-backports install gitlab

Stretch

Gitlab 8.13.11 is available in stretch, but it is not receiving any security updates. So it is recommend to update to newer versions from unstable or buster or stretch-backports.

# apt install gitlab

Contact maintainers

You can reach the maintainers of gitlab package via Matrix at #debian-gitlab:poddery.com. Join via your browser if you don't have a matrix account.

Omnibus Packages

Note: this section is about installation of upstream-provided unofficial packages.

Install

all actions are performed under root user, in ~ unless otherwise noted.

Step 1

navigate to https://www.gitlab.com/downloads/ and copy down the link to the debian deb package.

as of this writing @ june, 5, 2014

run

Step 2

run

  • dpkg -i gitlab*

Step 3

i got errors 1st time around 2nd time around gitlab looked like it set everything and ran well.

To avoid errors, execute /opt/gitlab/embedded/bin/runsvdir-start for one minute, more or less (tested in 7.9.0 and 7.9.1 omnibus versions).

run

  • gitlab-ctl reconfigure

to verify that things are running

run

  • gitlab-ctl status

Step 4

navigate to your servers ip address or domain name, and login as:

user: root password: 5iveL!fe

External Resources

https://gitlab.com/gitlab-org/omnibus-gitlab/blob/master/README.md